/* File CombiLock.hpp */

#if !defined(COMBILOCK_HPP)
#define COMBILOCK_HPP

#include "ECOA.hpp" /* Fundamental types declared for the platform */

namespace CombiLock {


/* Enum type */
struct State
{
   ECOA::int8 value;
   enum EnumValues {
      OPEN = 0,
      LOCKED = 1
   };
inline void operator = (ECOA::int8 i) { value = i; }
inline operator ECOA::int8() const { return value; }
};


} /* CombiLock */

#endif  /* COMBILOCK_HPP */
